---
name: "inkscape"
alternates:
  - "ink drawing"
  - "pink trolling"
  - "inc drawing"
  - "inc space"
  - "inc escape"
description: >-
  Commands for Inkscape keyboard shortcuts.
  See the
  <a href="https://inkscape.org/doc/keys-1.2.x.html">keyboard shortcuts</a>.
initiallyActive: false
exclusive: false
commands:

  # Menus

  - name: "go to menu"
    description: >-
      Opens the file menu, then use arrow keys, escape, and enter.
    functions:
      # this keyboard shortcut is a little flaky.
      # need to press twice with a sleep in between.
      - name: "keyPress"
        fixedArguments:
          - "alt"
          - "f"
      - name: "sleep"
        fixedArguments:
          - "500"
      - name: "keyPress"
        fixedArguments:
          - "alt"
          - "f"
  - name: "save image"
    description: >-
      Saves the image.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "control"
          - "s"

  # Tools

  - name: "selector tool"
    description: >-
      Activates the selector tool.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "s"
  - name: "node tool"
    description: >-
      Activates the node tool.
    alternates:
      - "nude tool"
    functions:
      - name: "keyPress"
        fixedArguments:
          - "n"
  - name: "tweak tool"
    description: >-
      Activates the tweak tool.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "w"
  - name: "zoom tool"
    description: >-
      Activates the zoom tool.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "z"
  - name: "measure tool"
    description: >-
      Activates the measuretool.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "m"
  - name: "rectangle tool"
    description: >-
      Activates the rectangle tool.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "r"
  - name: "box tool"
    description: >-
      Activates the 3D box tool.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "x"
  - name: "circle tool"
    description: >-
      Activates the ellipse/circle/arc tool.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "e"
  - name: "star tool"
    description: >-
      Activates the star tool.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "shift"
          - "8"
  - name: "spiral tool"
    description: >-
      Activates the spiral tool.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "i"
  - name: "pencil tool"
    description: >-
      Activates the pencil (freehand) tool.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "p"
  - name: "pen tool"
    description: >-
      Activates the pen (Bezier) tool.
    alternates:
      - "penn tool"
      - "pain tool"
    functions:
      - name: "keyPress"
        fixedArguments:
          - "b"
  - name: "calligraphy tool"
    description: >-
      Activates the calligraphy tool.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "c"
  - name: "text tool"
    description: >-
      Activates the text tool.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "t"
  - name: "spray tool"
    description: >-
      Activates the spray tool.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "a"
  - name: "eraser tool"
    description: >-
      Activates the eraser tool.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "shift"
          - "E"
  - name: "paint bucket tool"
    description: >-
      Activates the paint bucket tool.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "u"
  - name: "gradient tool"
    description: >-
      Activates the gradient tool.
    alternates:
      - "radiant tool"
    functions:
      - name: "keyPress"
        fixedArguments:
          - "g"
  - name: "dropper tool"
    description: >-
      Activates the dropper tool.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "d"
  - name: "connector tool"
    description: >-
      Activates the connector tool.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "o"

  # Dialogs

  - name: "fill and stroke"
    description: >-
      Opens the fill and stroke dialog.
    alternates:
      - "phil and stroke"
    functions:
      - name: "keyPress"
        fixedArguments:
          - "shift"
          - "control"
          - "f"
  - name: "swatches"
    description: >-
      Opens the swatches dialog.
    alternates:
      - "watches"
    functions:
      - name: "keyPress"
        fixedArguments:
          - "shift"
          - "control"
          - "w"
  - name: "text and font"
    description: >-
      Opens the text and font dialog.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "shift"
          - "control"
          - "t"
  - name: "transform"
    description: >-
      Opens the transform dialog.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "shift"
          - "control"
          - "m"
  - name: "layers"
    description: >-
      Opens the layers dialog.
    alternates:
      - "leyers"
      - "lairs"
    functions:
      - name: "keyPress"
        fixedArguments:
          - "shift"
          - "control"
          - "l"
  - name: "align and distribute"
    description: >-
      Opens the align and distribute dialog.
    alternates:
      - "a line and distribute"
    functions:
      - name: "keyPress"
        fixedArguments:
          - "shift"
          - "control"
          - "a"
  - name: "object properties"
    description: >-
      Opens the object properties dialog.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "shift"
          - "control"
          - "o"
  - name: "undo history"
    description: >-
      Opens the undo history dialog.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "shift"
          - "control"
          - "h"
  - name: "document properties"
    description: >-
      Opens the document properties dialog.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "shift"
          - "control"
          - "d"
  - name: "ink preferences"
    description: >-
      Opens the inkscape preferences dialog.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "shift"
          - "control"
          - "p"
  - name: "export"
    description: >-
      Opens the export dialog.
    alternates:
      - "xsport"
    functions:
      - name: "keyPress"
        fixedArguments:
          - "shift"
          - "control"
          - "e"
  - name: "toggle dialogs"
    description: >-
      Toggles dialog visibility.
    alternates:
      - "toggle dialogues"
    functions:
      - name: "keyPress"
        fixedArguments:
          - "f12"

  # Tool controls bar

  - name: "tool controls bar"
    description: >-
      Jump to the first editable field of the tool controls bar.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "alt"
          - "x"

  # Layers

  - name: "create new layer"
    description: >-
      Creates a new layer.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "shift"
          - "control"
          - "n"
  - name: "move to layer above"
    description: >-
      Move selected object to layer above.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "shift"
          - "pageup"
  - name: "move to layer below"
    description: >-
      Move selected object to layer below.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "shift"
          - "pagedown"
  - name: "raise layer"
    description: >-
      Raise the current layer.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "shift"
          - "control"
          - "pageup"
  - name: "lower layer"
    description: >-
      Lower the current layer.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "shift"
          - "control"
          - "pagedown"
  - name: "raise layer to top"
    description: >-
      Raise current lawyer to top.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "shift"
          - "control"
          - "home"
  - name: "lower layer to bottom"
    description: >-
      Lower current layer to bottom.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "shift"
          - "control"
          - "end"
